/* Ejemplo grafico de barras

   4 series de datos [siguiendo curvas y=sqrt(x), y=-sqrt(x)]
   se presentan como grafico de barras, con 4 estilos distintos.

   Cerrar ventana con Enter o Space.

*/

#include "iglu.h"
#include <cmath>
#include <iostream>

using namespace std;
using namespace iglu;

int main(){
  cout << "Example: Bar plot" << endl;
  IgluGrafico g;
  int M=17, N=20;
  double dx = 1.3;
  g.axes(-M-1,-M+N*dx+1,-int(sqrt(-M+N*dx))-2,int(sqrt(-M+N*dx))+2);
  vector<double> x_none(2),y_none(2),x_red(2),y_red(2),
    x_filled(2),y_filled(2),x(N-6),y(N-6);
  for (int i=0;i<N;i++){
    double abscisa =-M+i*dx;
    double ordenada =(i%2)?-sqrt(double(i)):sqrt(double(i));
    if (i<2){
      x_none[i] = abscisa; 
      y_none[i] = ordenada;
    }
    else if (i<4){
      x_red[i-2] = abscisa;
      y_red[i-2] = ordenada;
    }
    else if (i<6){
      x_filled[i-4] = abscisa;
      y_filled[i-4] = ordenada;
    }
    else {
      x[i-6] = abscisa;
      y[i-6] = ordenada;
    }
  }
  g.line_set(LINE_NONE);
  g.symbol_set(SYMBOL_CIRCLE);
  g.plot(x_none,y_none);
  g.plot(x_red,y_red);
  g.plot(x_filled,y_filled);
  g.plot(x,y);
  g.line_set(LINE_SOLID);
  g.symbol_set(SYMBOL_NONE);

  
  g.bar_space_factor_set(.7);
  g.bar_set(BAR_NONE);
  g.bar(x_none,y_none);
  g.bar_set(BAR_OPEN);
  g.bar_color_set(1,0,0);
  g.bar(x_red,y_red);
  g.bar_set(BAR_FILLED);
  g.bar(x_filled,y_filled);
  g.bar_set(BAR_OPEN);
  g.bar_color_set(0,0,0);
  g.bar(x,y);
  cout << "Hit [Enter] or [Space] to close window" << endl;
  g.wait();
  g.save("ejemplo_barras.eps");
}
