/* Ejemplo Capas:
     
   Uso de capas

   Primero se realiza un dibujo simple de la manera convencional
   (una capa). Objetos dibujados despues aparecen siempre por 
   encima de objetos dibujados antes. El programa espera 3 segundos, 
   y luego hace el mismo dibujo usando dos capas, de modo que un 
   cuadrado dibujado *despues* aparece por *debajo* de otro 
   dibujado antes, porque fue creado en una capa inferior.
   
   Cerrar ventana con Enter o Space.

 */

#include "iglu.h"
#include <iostream>


using namespace std;
using namespace iglu;

int main(){
  cout << "Example: Layers" << endl;
  IgluDibujo g;

  /* Primera parte, sin uso explicito de capas */

  g.color_set(0,1,0);
  g.plot_filled_rectangle(200,200,400,400);  
  g.color_set(0,0,0);
  g.plot_line(0,0,500,500);
  g.color_set(0,0,1);
  g.plot_filled_rectangle(10,10,120,120);
  g.color_set(0,1,0);
  g.plot_filled_rectangle(100,100,150,150);
  cout << "Wait 3 seconds..." << endl;
  g.wait(3);
  g.save("ejemplo_no_capas.eps");
  g.clean();

  /* Segunda parte, usando dos capas */

  g.set_layers(2);
  g.color_set(0,1,0);
  g.plot_filled_rectangle(200,200,400,400);  
  g.color_set(0,0,0);
  g.plot_line(0,0,500,500);
  g.color_set(0,0,1);
  g.plot_filled_rectangle(10,10,120,120);
  g.use_layer(2);
  g.color_set(0,1,0);
  g.plot_filled_rectangle(100,100,150,150);
  g.use_layer(1);
  g.color_set(0,0,1);
  g.plot_filled_rectangle(140,140,170,170);
  cout << "Hit [Enter] or [Space] to close window" << endl;
  g.wait();
  g.save("ejemplo_capas.eps");
}

