/* Ejemplo arcos circulo simulados 

   Se dibujan, en negro, circulos, pero como las escalas horizontal
   y vertical no son iguales, el resultado son elipses.
   
   Se dibujan luego, en rojo, circulos simulados, que son en realidad
   elipses, cuyos ejes horizontal y vertical son calculados de modo
   que aparezcan como circulos dadas las escalas horizontal y vertical
   actuales. 

   Cerrar ventana con Enter o Space.

*/

#include "iglu.h"
#include <iostream>


using namespace std;
using namespace iglu;

int main(){
  cout << "Example: fake circles" << endl;
  IgluDibujo d(700,500);
  d.map_coordinates(0,1,0,1);

  d.plot_arc_circle(.3,.5,.1,0,180);
  d.plot_arc_circle(.7,.5,.1,0,180);

  d.color_set(1,0,0);
  d.plot_fake_arc_circle(.3,.5,.1,0,180,"x");
  d.plot_fake_arc_circle(.7,.5,.1,0,180,"y");

  d.color_set(0,0,0);
  d.plot_circle(.3,.2,.05);
  d.plot_circle(.7,.2,.05);

  d.color_set(1,0,0);
  d.plot_fake_circle(.3,.2,.05,"x");
  d.plot_fake_circle(.7,.2,.05,"y");

  cout << "Hit [Enter] or [Space] to close window" << endl;
  d.wait();
  d.save("ejemplo_circulos_simulados.eps");
}
