/* Ejemplo Objetos:
   Todos los objetos graficos disponibles en Iglu:

   Puntos
   Lineas
   Rectangulos (llenos o no)
   Cuadrados (llenos o no)
   Arcos de circulo (llenos o no)
   Circulos (llenos o no)
   Arcos de elipse (llenos o no)
   Elipses (llenas o no)

   Cerrar ventana con Enter o Space
   
   El resultado se guarda en archivo PostScript ./ejemplo_objetos.eps
*/
   
#include "iglu.h"
#include <iostream>

using namespace std;
using namespace iglu;

int main(){
  cout << "Example: All available graphic objects" << endl;

  IgluDibujo v("Objetos Graficos");
  v.plot_point(150,350);
  v.color_set(1,0,0);
  v.plot_point(200,400);
  v.color_set(0,0,1);
  v.plot_line(0,0,300,400);
  v.color_set(0,0,.9);
  v.plot_line(0,0,300,300);
  v.color_set(0,1,0);
  v.plot_rectangle(100,100,400,300);
  v.color_set(1,0,1);
  v.plot_arc_circle(300,400,50,0,180);
  v.plot_circle(300,300,25);
  v.color_set(0,1,1);
  v.plot_filled_arc_circle(400,100,50,0,30);
  v.plot_filled_circle(450,450,20);
  v.color_set(.5,.5,.5);
  v.plot_filled_rectangle(50,400,100,450);
  v.color_set(.5,0,.5);
  v.plot_square(250,50,10);
  v.plot_filled_square(250,70,20);
  v.color_set(1,0,0);
  v.plot_ellipse(40,150,20,50);
  v.plot_filled_arc_ellipse(40,300,20,50,0,300);
  v.color_set(0,0,0);
  v.plot_text(250,120,"Texto no centrado");
  v.plot_centered_text(250,150,"Texto centrado");
  cout<< "Hit [Enter] or [Space] to close window" << endl;
  v.wait();
  v.flush();
  v.save("ejemplo_objetos.eps");
  cout << "Guardando en archivo ejemplo_objetos.eps" << endl;

}
