/* Ejemplo Pelicula

   El mismo ejemplo de la funcion seno (ejemplo_sen.cc),
   en movimiento (mostrando el uso de funcion wait(t) para
   introducir una pausa de t segundos

   Cerrar ventana final con Enter o Space

*/

#include "iglu.h"
#include <cmath>
#include <iostream>

using namespace std;
using namespace iglu;

int main(){
  cout << "Example: Animation" << endl;
  IgluDibujo v("Pelicula");
  const int N=100, Nt=200;
  double x[N], y[N];
  v.map_coordinates(0,2*M_PI,-1.2,1.2);
  double dx = 2*M_PI/(N-1), dt = 1, t=0;
  for (int j=0;j<Nt;j++){
    v.clean();
    t += dt;
    for (int i=0;i<N;i++){
      x[i] = i*dx;
      y[i] = sin(x[i]-.1*t);
    }
    v.plot_line(x,y,N);
    v.wait(.03);
    v.flush();
  }
  cout<< "Hit [Enter] or [Space] to close window" << endl;
  v.wait();  
}
