
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#ifndef IGLU_ARCO
#define IGLU_ARCO

#include <iostream>
#include <cstdlib>
#include "iglu_objeto_color.h"
#include "iglu_color.h"

namespace iglu{

  using namespace std;

class IgluArco : public IgluObjetoColor{
 protected:
  double x;
  double y;
  double rx;
  double ry;
  double theta_i;
  double theta_f;
 public:
  IgluArco(double,double,double,double,double,double,IgluColor);
  ~IgluArco();
  double x_center() const;
  double y_center() const;
  double x_radius() const;
  double y_radius() const;
  double angle_start() const;
  double angle_end() const;
};

class IgluArcoElipse : public IgluArco{
 public:
  IgluArcoElipse(double,double,double,double,double,double,IgluColor);
  ~IgluArcoElipse();
  void report_status();
};

class IgluArcoElipseLleno : public IgluArcoElipse{
 public:
  IgluArcoElipseLleno(double,double,double,double,double,double,IgluColor);
  ~IgluArcoElipseLleno();
};

ostream & operator << (ostream &,const IgluArcoElipse &);

class IgluArcoCirculo : public IgluArco{
 public:
  IgluArcoCirculo(double,double,double,double,double,IgluColor);
  ~IgluArcoCirculo();
  double radius() const;
};

class IgluArcoCirculoLleno : public IgluArcoElipseLleno{
 public:
  IgluArcoCirculoLleno(double,double,double,double,double,IgluColor);
  ~IgluArcoCirculoLleno();
};

}

#endif
