
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#include "iglu_barras_grafico.h"

namespace iglu{

  using namespace std;

IgluBarrasGrafico::IgluBarrasGrafico(double X[],double Y[],int n,
				   IgluEstiloBarra l) 
  : IgluDatosGrafico(X,Y,n){
  type = BAR_DATA;
  estilo_barra = l;
}

IgluBarrasGrafico::IgluBarrasGrafico(vector<double> X,vector<double> Y,
				   IgluEstiloBarra l) 
  : IgluDatosGrafico(X,Y){
  type = BAR_DATA;
  estilo_barra = l;
}

IgluBarrasGrafico::~IgluBarrasGrafico(){
}

IgluEstiloBarra IgluBarrasGrafico::bar_style() const{
  return estilo_barra;
}

void IgluBarrasGrafico::report_status(){
  cout << (*this) << endl;
}

ostream & operator << (ostream & os, const IgluBarrasGrafico & b){
  os << "Barras        : " << endl;
  os << "  Tipo barra: " << b.bar_style() << endl;
  for (int i=0;i<b.size();i++){
    os << endl << " (" << b.x(i) << "," << b.y(i) << ")";
  }
  return os;
}

}
