
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#ifndef IGLU_CLIP
#define IGLU_CLIP

#include <iostream>
#include <string>
#include "iglu_color.h"
#include "iglu_objeto_color.h"

namespace iglu{

  using namespace std;

class IgluClipRectangulo : public IgluObjetoColor{
 protected:
  double x1;
  double y1;
  double x2;
  double y2;
 public:
  IgluClipRectangulo(double,double,double,double,IgluColor);
  ~IgluClipRectangulo();
  double x_start() const;
  double y_start() const;  
  double x_end() const;
  double y_end() const;
  
  void report_status();
};

ostream & operator << (ostream &, const IgluClipRectangulo &);

}

#endif
