
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#include "iglu_color.h"

namespace iglu{

  using namespace std;

IgluColor::IgluColor(double red,double green,double blue):
  color_red(red),color_green(green),color_blue(blue){
}

IgluColor::~IgluColor(){
}

double IgluColor::red() const{
  return color_red;
}

double IgluColor::green() const{
  return color_green;
};

double IgluColor::blue() const{
  return color_blue;
}

void IgluColor::color_set(double red,double green,double blue){
  color_red = red;
  color_green = green;
  color_blue = blue;
}

ostream & operator << (ostream & os, const IgluColor & c){
  os << "rgb = [" << c.red() << "," << c.green() << "," << c.blue() << "]";
  return os;
}

}
