
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#include "iglu_datos_grafico.h"

namespace iglu{

  using namespace std;

IgluDatosGrafico::IgluDatosGrafico(double X[],double Y[],int n){
  lista_x.resize(n);
  lista_y.resize(n);
  for (int i=0;i<n;i++){
    lista_x[i] = X[i];
    lista_y[i] = Y[i];
  }
}

IgluDatosGrafico::IgluDatosGrafico(vector<double> X,vector<double> Y){
  if (X.size()==Y.size()){
    lista_x = X;
    lista_y = Y;
  }
  else {
    cout << "IgluDatosGrafico(x,y): vectores deben ser de igual longitud" << endl;
    exit(1);
  }
}

IgluDatosGrafico::~IgluDatosGrafico(){
}

double IgluDatosGrafico::x(int i) const{
  return lista_x[i];
}

double IgluDatosGrafico::y(int i) const{
  return lista_y[i];
}

vector<double> IgluDatosGrafico::x(){
  return lista_x;
}

vector<double> IgluDatosGrafico::y(){
  return lista_y;
}

int IgluDatosGrafico::size() const{
  return lista_x.size();
}

int IgluDatosGrafico::tipo() const{
  return type;
}

IgluEstiloLinea IgluDatosGrafico::line_style() const {
  return IgluEstiloLinea();
}

IgluEstiloPunto IgluDatosGrafico::point_style() const {
  return IgluEstiloPunto();
}

IgluEstiloBarra IgluDatosGrafico::bar_style() const {
  return IgluEstiloBarra();
}

}
