
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#ifndef IGLU_DATOS_GRAFICO
#define IGLU_DATOS_GRAFICO

#include "iglu_estilo_linea.h"
#include "iglu_estilo_punto.h"
#include "iglu_estilo_barra.h"
#include <vector>
#include <cstdlib>

namespace iglu{

  using namespace std;

enum {LINE_DATA,BAR_DATA};

class IgluDatosGrafico{
 protected:
  vector<double> lista_x;
  vector<double> lista_y;
  int type;
 public:
  IgluDatosGrafico(double [],double [],int);
  IgluDatosGrafico(vector<double>,vector<double>);
  virtual ~IgluDatosGrafico();
  double x(int) const;
  double y(int) const;
  vector<double> x();
  vector<double> y();
  int size() const;
  int tipo() const;
  virtual IgluEstiloLinea line_style() const;
  virtual IgluEstiloPunto point_style() const;
  virtual IgluEstiloBarra bar_style() const;
  virtual void report_status() = 0;
};

}

#endif
