
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#include "iglu_estilo_barra.h"

namespace iglu{

  using namespace std;

IgluEstiloBarra::IgluEstiloBarra(IgluColor c,int l,double f){
  mycolor = c;
  type = l;
  factor_espaciado = f;
}

IgluEstiloBarra::~IgluEstiloBarra(){
}

IgluColor IgluEstiloBarra::color() const{
  return mycolor;
}

int IgluEstiloBarra::bar_style() const{
  return type;
}

double IgluEstiloBarra::space_factor() const{
  return factor_espaciado;
}

void IgluEstiloBarra::color_set(double r,double g,double b){
  mycolor = IgluColor(r,g,b);
}

void IgluEstiloBarra::bar_style_set(int n){
  type = n;
}

void IgluEstiloBarra::bar_space_factor_set(double f){
  factor_espaciado = f;
}

ostream & operator << (ostream & os, const IgluEstiloBarra & s){
  os << s.color() << "; barra = " << s.bar_style() 
     << "; espaciado = " << s.space_factor();
  return os;
}

}
