
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#ifndef IGLU_ESTILO_BARRA
#define IGLU_ESTILO_BARRA

#include "iglu_color.h"

namespace iglu{

  using namespace std;

enum {BAR_NONE, BAR_OPEN, BAR_FILLED};

class IgluEstiloBarra{
 private:
  IgluColor mycolor;
  int type;
  double factor_espaciado;
 public:
  IgluEstiloBarra(IgluColor = IgluColor(0,0,0),int = BAR_OPEN,double = 0);
  ~IgluEstiloBarra();
  IgluColor color() const;
  int bar_style() const;
  double space_factor() const;
  void color_set(double,double,double);
  void bar_style_set(int);
  void bar_space_factor_set(double);
};

ostream & operator << (ostream &, const IgluEstiloBarra &);

}

#endif
