
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#ifndef IGLU_ESTILO_LINEA
#define IGLU_ESTILO_LINEA

#include "iglu_color.h"

namespace iglu{

  using namespace std;

enum {LINE_NONE, LINE_SOLID};

class IgluEstiloLinea{
 private:
  IgluColor mycolor;
  int myline;
  int mysymbol;
 public:
  IgluEstiloLinea(IgluColor = IgluColor(0,0,0),int = LINE_SOLID);
  ~IgluEstiloLinea();
  IgluColor color() const;
  int line() const;
  int symbol() const;
  void color_set(double,double,double);
  void line_set(int);
  void symbol_set(int);
};

ostream & operator << (ostream &, const IgluEstiloLinea &);

}

#endif
