
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#include "iglu_estilo_punto.h"

namespace iglu{

  using namespace std;

IgluEstiloPunto::IgluEstiloPunto(IgluColor c,int s,double f){
  mycolor = c;
  mysymbol = s;
  factor_radio = f;
}

IgluEstiloPunto::~IgluEstiloPunto(){
}

IgluColor IgluEstiloPunto::color() const{
  return mycolor;
}

int IgluEstiloPunto::symbol() const{
  return mysymbol;
}

double IgluEstiloPunto::size_factor() const{
  return factor_radio;
}

void IgluEstiloPunto::color_set(double r,double g,double b){
  mycolor = IgluColor(r,g,b);
}

void IgluEstiloPunto::symbol_set(int n){
  mysymbol = n;
}

void IgluEstiloPunto::size_factor_set(double f){
  if (f>=0){
    factor_radio = f;
  }
  else {
    cout << "IgluEstiloPunto::size_factor_set(f) : " << endl
	 << "    f debe ser no negativo. Ignorando." << endl;
  }
 
}

ostream & operator << (ostream & os, const IgluEstiloPunto & s){
  os << s.color() << "; simbolo = " << s.symbol()
     << "; factor_radio = " << s.size_factor();
  return os;
}

}
