
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#ifndef IGLU_ESTILO_PUNTO
#define IGLU_ESTILO_PUNTO

#include "iglu_color.h"

namespace iglu{

  using namespace std;

enum {SYMBOL_NONE, SYMBOL_DOT, SYMBOL_CIRCLE, SYMBOL_FILLED_CIRCLE};

class IgluEstiloPunto{
 private:
  IgluColor mycolor;
  int mysymbol;
  double factor_radio;
 public:
  IgluEstiloPunto(IgluColor = IgluColor(0,0,0), int = SYMBOL_DOT, double = 1);
  ~IgluEstiloPunto();
  IgluColor color() const;
  int symbol() const;
  double size_factor() const;
  void color_set(double,double,double);
  void symbol_set(int);
  void size_factor_set(double);
};

ostream & operator << (ostream &, const IgluEstiloPunto &);

}

#endif
