
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#include "iglu_linea.h"

namespace iglu{

  using namespace std;

IgluLinea::IgluLinea(double xi,double yi,double xf,double yf,
			   IgluColor c)
  :IgluObjetoColor(c,IGLU_LINE),x1(xi),y1(yi),x2(xf),y2(yf){
}

IgluLinea::~IgluLinea(){
}

double IgluLinea::x_start() const{
  return x1;
}

double IgluLinea::y_start() const{
  return y1;
}

double IgluLinea::x_end() const{
  return x2;
}

double IgluLinea::y_end() const{
  return y2;
}

void IgluLinea::report_status(){
  cout << (*this) << endl;
}
/*
void IgluLinea::plot(IgluDriver d){
  d.plot_line(x1,y1,x2,y2,mycolor);
  }*/

ostream & operator << (ostream & os, const IgluLinea & l){
  os << "Linea        : (" << l.x_start() << "," << l.y_start() << ") -> (" << 
    l.x_end() << "," << l.y_end() << "); " << l.color();
  return os;
}

}
