
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#include "iglu_linea_grafico.h"

namespace iglu{

  using namespace std;

IgluLineaGrafico::IgluLineaGrafico(double X[],double Y[],int n,
				   IgluEstiloLinea l, IgluEstiloPunto p) 
  : IgluDatosGrafico(X,Y,n){
  type = LINE_DATA;
  estilo_linea = l;
  estilo_punto = p;
}

IgluLineaGrafico::IgluLineaGrafico(vector<double> X,vector<double> Y,
				   IgluEstiloLinea l,IgluEstiloPunto p) 
  : IgluDatosGrafico(X,Y){
  type = LINE_DATA;
  estilo_linea = l;
  estilo_punto = p;
}

IgluLineaGrafico::~IgluLineaGrafico(){
}

IgluEstiloLinea IgluLineaGrafico::line_style() const{
  return estilo_linea;
}

IgluEstiloPunto IgluLineaGrafico::point_style() const{
  return estilo_punto;
}

void IgluLineaGrafico::report_status(){
  cout << (*this) << endl;
}

ostream & operator << (ostream & os, const IgluLineaGrafico & l){
  os << "Linea        : " << endl;
  os << "  Tipo linea: " << l.line_style() << endl;
  os << "  Tipo punto: " << l.point_style();
  for (int i=0;i<l.size();i++){
    os << endl << " (" << l.x(i) << "," << l.y(i) << ")";
  }
  return os;
}

}
