
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#ifndef IGLU_OBJETO_COLOR_H
#define IGLU_OBJETO_COLOR_H

#include "iglu_color.h"
#include <string>

namespace iglu{

  using namespace std;

enum {IGLU_LINE, IGLU_POINT, IGLU_RECTANGLE, IGLU_FILLED_RECTANGLE,
      IGLU_ARC_ELLIPSE, IGLU_FILLED_ARC_ELLIPSE, IGLU_TEXT,
      IGLU_CENTERED_TEXT, IGLU_CLIP_RECTANGLE};

class IgluObjetoColor{
 protected:
  IgluColor mycolor;
  int tipo_objeto;
  string etiqueta;
 public:
  IgluObjetoColor();
  IgluObjetoColor(IgluColor,int,string = "");
  virtual ~IgluObjetoColor();
  IgluColor color() const;
  void color_set(double,double,double);
  int tipo() const;
  string label() const;
  virtual void report_status() = 0;
  virtual double x_start() const;
  virtual double y_start() const;
  virtual double x_end() const;
  virtual double y_end() const;
  virtual double x() const;
  virtual double y() const;
  virtual double x_center() const;
  virtual double y_center() const;
  virtual double radius() const;
  virtual double x_radius() const;
  virtual double y_radius() const;
  virtual double angle_start() const;
  virtual double angle_end() const;
  virtual string text() const;
  virtual double scale() const;
};

}

#endif
