
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#include "iglu_rectangulo.h"

namespace iglu{

  using namespace std;

IgluRectangulo::IgluRectangulo(double xi,double yi,double xf,
				     double yf,IgluColor c)
  :IgluObjetoColor(c,IGLU_RECTANGLE),x1(xi),y1(yi),x2(xf),y2(yf){
}

IgluRectangulo::~IgluRectangulo(){
}

double IgluRectangulo::x_start() const{
  return x1;
}

double IgluRectangulo::y_start() const{
  return y1;
}

double IgluRectangulo::x_end() const{
  return x2;
}

double IgluRectangulo::y_end() const{
  return y2;
}

void IgluRectangulo::report_status(){
  cout << (*this) << endl;
}

/*void IgluRectangulo::plot(IgluDriver d){
  d.plot_rectangle(x1,y1,x2,y2,mycolor);
  }*/

IgluRectanguloLleno::IgluRectanguloLleno(double xi,double yi,double xf,
					 double yf,IgluColor c) : 
  IgluRectangulo(xi,yi,xf,yf,c){
  tipo_objeto = IGLU_FILLED_RECTANGLE;
}

IgluRectanguloLleno::~IgluRectanguloLleno(){
}

ostream & operator << (ostream & os, const IgluRectangulo & l){
  os << "Rectangulo   : (" << l.x_start() << "," << l.y_start() << ") -> (" << 
    l.x_end() << "," << l.y_end() << "); " << l.color();
  return os;
}

}
