
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#include "iglu_texto.h"

namespace iglu{

  using namespace std;

IgluTexto::IgluTexto(double x,double y,string texto,IgluColor c,
		     string etiqueta,double scale)
  :IgluObjetoColor(c,IGLU_TEXT,etiqueta),x0(x),y0(y),s(texto),sc(scale){
}

IgluTexto::~IgluTexto(){
}

double IgluTexto::x() const{
  return x0;
}

double IgluTexto::y() const{
  return y0;
}

string IgluTexto::text() const{
  return s;
}

  double IgluTexto::scale() const{
    return sc;
  }

void IgluTexto::report_status(){
  cout << (*this) << endl;
}
/*
void IgluTexto::plot(IgluDriver d){
  d.plot_line(x1,y1,x2,y2,mycolor);
  }*/

IgluTextoCentrado::IgluTextoCentrado(double x,double y,string texto,
				     IgluColor c,string etiqueta,double scale) 
  : IgluTexto(x,y,texto,c,etiqueta,scale){ 
  tipo_objeto = IGLU_CENTERED_TEXT;
}

IgluTextoCentrado::~IgluTextoCentrado(){
}

ostream & operator << (ostream & os, const IgluTexto & t){
  os << "Texto        : (" << t.x() << "," << t.y() << "), \"" << 
    t.text() << "\"; " << t.color();
  if (t.label()!=""){
    os << "; label=" << t.label();
  }
  os << "; scale=" << t.scale();
  return os;
}

}
