
/* This file is part of Iglu

  Copyright (C) 2002,2003,2004 Jose Rogan, Xavier Andrade, 
                               Juan Alejandro Valdivia, Victor Munoz

  Iglu is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Iglu is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Iglu; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

*/

#ifndef IGLU_TEXTO
#define IGLU_TEXTO

#include <iostream>
#include <string>
#include "iglu_color.h"
#include "iglu_objeto_color.h"

namespace iglu{

  using namespace std;

class IgluTexto : public IgluObjetoColor{
 protected:
  double x0;
  double y0;
  string s;
  double sc;
 public:
  IgluTexto(double,double,string,IgluColor,string="",double=1);
  ~IgluTexto();
  double x() const;
  double y() const;
  string text() const;
  double scale() const;
  void report_status();
};

class IgluTextoCentrado : public IgluTexto{
 public:
    IgluTextoCentrado(double,double,string,IgluColor,string="",double=1);
  ~IgluTextoCentrado();
};

ostream & operator << (ostream &, const IgluTexto &);

}

#endif
